Subject: Re: [PATCH 0/2] of: fsl/fman: reuse the fixed node parsing code

From: Florian Fainelli <[email-masked]>
Date: Sat, 08 Aug 2015 10:32:43 -0700

CC'ing Stas,

Le 08/05/15 07:42, Madalin Bucur a écrit :
> The FMan MAC configuration code needs the speed and duplex information
> for fixed-link interfaces that is parsed now by the of function
> of_phy_register_fixed_link(). This parses the fixed-link parameters but
> does not expose to the caller neither the phy_device pointer nor the
> status struct where it loads the fixed-link params. By extracting the
> fixed-link parsing code from of_phy_register_fixed_link() into a
> separate function the parsed values are made available without changing
> the existing API. This change also removes a small redundancy in the
> previous code calling fixed_phy_register().

I will look into this shortly, sorry for the delay.

> 
> The FMan patch relies on the latest FMan driver v4 submission by Igal Liberman:
> https://patchwork.ozlabs.org/project/netdev/list/?submitter=Igal.Liberman&state=*&q=v4
> 
> Madalin Bucur (2):
>   of: separate fixed link parsing from registration
>   fsl_fman: use fixed_phy_status for MEMAC
> 
>  .../ethernet/freescale/fman/flib/fsl_fman_memac.h  |  6 ++-
>  drivers/net/ethernet/freescale/fman/inc/mac.h      |  2 +-
>  drivers/net/ethernet/freescale/fman/mac/fm_memac.c | 42 ++++++++++++-----
>  drivers/net/ethernet/freescale/fman/mac/fm_memac.h |  3 +-
>  drivers/net/ethernet/freescale/fman/mac/mac.c      | 18 ++++++--
>  drivers/of/of_mdio.c                               | 52 ++++++++++++++--------
>  include/linux/of_mdio.h                            |  9 ++++
>  7 files changed, 94 insertions(+), 38 deletions(-)
> 

-- 
Florian
--
To unsubscribe from this list: send the line "unsubscribe devicetree" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html